;===============================================================================
;
; This routine add continental borders to the plotted map.
;
;===============================================================================

pro contour_cont,filename,resc_lg,resc_lt,ncont,igg_read,log1,log2,lat1,lat2,icont

    neigh_lg=[ 0, 1, 0,-1]
    neigh_lt=[ 1, 0,-1, 0]
    lg1_inc =[-1, 1,-1,-1]
    lg2_inc =[ 1, 1, 1,-1]
    lt1_inc =[ 1,-1,-1,-1]
    lt2_inc =[ 1, 1,-1, 1]    
  
    nlgc=fix(360./resc_lg+0.01)
    nltc=fix(180./resc_lt+0.01) 

    land=intarr(nlgc+3,nltc+3)
    for ilgc=0,nlgc+2 do begin
     for iltc=0,nltc+2 do land(ilgc,iltc)=0
    endfor
    
    close,50    
    openr,50,filename
          
    for ig=long(0),ncont-1 do begin
     if igg_read eq 1 then begin
       readf,50,igg,xlgc,xltc
     endif else begin
       readf,50,xlgc,xltc
     endelse   
         
     xlg_pos = 180.
     xlt_pos = 90.
     if icont eq 25 then begin
       xlg_pos = 180.25
       xlt_pos = 90.25
     endif

     ilgc=fix((xlgc+xlg_pos)/resc_lg+1.001)
     iltc=fix((xltc+xlt_pos)/resc_lt+1.001)
     
     land(ilgc,iltc)=1

    endfor
    
    dc_lg = 1.
    dc_lt = 1.   
    
    for iltc=0,nltc+1 do begin     
     for ilgc=0,nlgc+1 do begin
       if land(ilgc,iltc) eq 1 then begin
	xlgc=-180.+float(ilgc-dc_lg)*resc_lg
	xltc= -90.+float(iltc-dc_lt)*resc_lt 
        if icont eq 25 then begin
	 xlgc=-180.25+float(ilgc)*resc_lg
	 xltc= -90.25+float(iltc)*resc_lt 
        endif
        if xlgc ge log1 and xlgc le log2 then begin
        if xltc ge lat1 and xltc le lat2 then begin	      
         for k=0,3 do begin
          ilgk=ilgc+neigh_lg(k)
	  iltk=iltc+neigh_lt(k)	 
;	  print,'ilgk,iltk: ',ilgk,iltk,nlgc,nltc,xlgc,xltc
	  if land(ilgk,iltk) eq 0 then begin
	     lg1=xlgc+0.5*lg1_inc(k)*resc_lg
	     lg2=xlgc+0.5*lg2_inc(k)*resc_lg          
	     lt1=xltc+0.5*lt1_inc(k)*resc_lt
	     lt2=xltc+0.5*lt2_inc(k)*resc_lt
	     oplot,[lg1,lg2],[lt1,lt2],line=0
	  endif
	 endfor
	endif
	endif
       endif
     endfor
    endfor
    
    close,50
    
   
    return
    end

